%define lname	inotifytools

%define major	0
%define libname	%mklibname %lname %major
%define devname	%mklibname %lname -d

Summary:	Simple interface to inotify
Name:		inotify-tools
Version:	3.20.2.2
Release:	%mkrel 1
URL:		https://github.com/rvoicilas/inotify-tools/wiki
Source0:	https://github.com/rvoicilas/inotify-tools/archive/%{version}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		File tools
BuildRequires:	doxygen

%description
This is a package of some commandline utilities relating to inotify.

The general purpose of this package is to allow inotify's features
to be used from within shell scripts.  Read the man pages for
further details.

%package -n	%{libname}
Summary:	Inotify interface library
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libinotifytools.

%package -n	%{devname}
Summary:	Development files for inotifytools
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{lname}-devel = %{version}-%{release}

%description -n	%{devname}
Development files for inotifytools.

%prep
%setup -q

%build

./autogen.sh

%configure2_5x \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

mv %{buildroot}%{_docdir}/%{name} api

%files
%doc README
%{_bindir}/inotifywait
%{_bindir}/inotifywatch
%{_mandir}/man1/inotifywait.1*
%{_mandir}/man1/inotifywatch.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%doc AUTHORS ChangeLog NEWS api
%{_includedir}/inotifytools/
%{_libdir}/*.so


%changelog
* Wed Feb 05 2020 tex - 3.20.2.2-1pclos2020
- new version

* Fri Jan 31 2020 tex - 3.20.2.1-1pclos2020
- update

* Tue Jan 01 2019 tex 3.20.1-1pclos2019
- Update to version 3.20.1
